package com.cn.esermis.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cn.esermis.dpld.entity.PostMarking;
import com.cn.esermis.dpld.model.PostMarkingVo;
import com.cn.esermis.dpld.service.IPostMarkingService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

import static com.cn.esermis.dpld.model.AjaxResult.success;

/**
 * 事后标记
 */
@RestController
@RequestMapping("/post_marking")
public class PostMarkingController
{
    @Resource
    private IPostMarkingService postMarkingService;

    /**
     * 分页查询列表
     * @param vo
     * @return
     */
    @GetMapping("/list")
    public Object list(PostMarkingVo vo)
    {
        IPage<PostMarking> page = new Page<>(vo.getPageNum(), vo.getPageSize());
        return success(postMarkingService.page(page,new QueryWrapper<>()));
    }

    /**
     * 查询详情
     * @param id
     * @return
     */
    @GetMapping("/getInfo")
    public Object getInfo(String id)
    {
        return success(postMarkingService.getById(id));
    }


    /**
     * 新增
     * @param postMarking
     * @return
     */
    @PostMapping("/add")
    public Object add(@RequestBody PostMarking postMarking)
    {
        postMarkingService.save(postMarking);
        return success();
    }


    /**&
     * 修改
     * @param postMarking
     * @return
     */
    @PostMapping("/edit")
    public Object edit(@RequestBody PostMarking postMarking)
    {
        postMarkingService.updateById(postMarking);
        return success();
    }

    @GetMapping("/del")
    public Object del(String id)
    {
        postMarkingService.removeById(id);
        return success();
    }



}
